classdef SCDclass_mdsparboolean < SCDclass_mdspar
    % A constant boolean MDS+ parameter
    
    properties
    end
    
    methods
        function obj=SCDclass_mdsparboolean(srctdimodel, destparam, varargin)
            obj@SCDclass_mdspar();
            % Constructor parser customization definitions here
            obj=obj.parseconstructorcommon(srctdimodel, destparam, varargin);
            % Constructor parser customization results here
            obj.classname=mfilename;
            obj.marteclassname='MDSParScalarBool';
        end
        
        function actualizedata(obj, shot) 
             obj=obj.preactualizecommon(shot);
             if ~obj.actualizable, return; end
             obj.caststring=sprintf('%s=logical(%s);',obj.assignvar,obj.assignvar);
             obj.postactualizecommon(shot);
        end
                
        function [obj, value] = getdata(obj, shot)
             [obj,value]=obj.getdatacommon(shot);
             value=int32(value);
        end
   
        function printinfo(obj)
            obj.printinfocommon;
        end
           
        function entrystring = genMARTe2entry(obj, shot)
            entrystring=obj.genMARTe2entrycommon(shot);
            entrystring=[entrystring ' }'];
        end

        
    end
end

