% Gets tcv data dictionary design data as a object in base workspace
function [out] = SCDconf_getdatadict(varargin)


if nargin==0
    d=Simulink.data.dictionary.open('tcv.sldd');
    dd=getSection(d, 'Design Data');
    out=dd;
elseif nargin==1
    d=Simulink.data.dictionary.open(varargin{1});
    dd=getSection(d, 'Design Data');
    out=dd;
else
    error('Too many input params');
end